# MxStatusSource Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum MxStatusSource
{
MxSourceUnknown = -1,
MxSourceRequestingLmx = 0,
MxSourceRespondingLmx = 1,
MxSourceRequestingNmx = 2,
MxSourceRespondingNmx = 3,
MxSourceRequestingAutomationObject = 4,
MxSourceRespondingAutomationObject = 5,
}
```

**Remarks**

Indicates the source of an error for a Message Exchange get or set call. Lmxmeans Local Message Exchange, the in-process component for ArchestrA data communications. Nmx means Network Message Exchange, the network component of ArchestrA data communications.
